#
# Conditional build:
%bcond_with	tests		# build without tests

%define		pkgname	mixlib-authentication
Summary:	Simple per-request authentication
Name:		ruby-%{pkgname}
Version:	2.1.1
Release:	2
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	b9fae61aaac84f71aad68791c454ac44
URL:		http://github.com/opscode/mixlib-authentication
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-rake < 11
BuildRequires:	ruby-rake >= 10.4
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mixlib::Authentication provides a class-based header signing
authentication object.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q

%build
%__gem_helper spec-dump %{pkgname}.gemspec

%check
%if %{with tests}
# need RSpec2
rspec -Ilib spec/mixlib/authentication/
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md NOTICE
%{ruby_vendorlibdir}/mixlib/authentication.rb
%{ruby_vendorlibdir}/mixlib/authentication
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

# FIXME, who owns the dir?
%dir %{ruby_vendorlibdir}/mixlib

%if 0
%files doc
%defattr(644,root,root,755)
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-mixlib-authentication.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 790e0b8
- release 2 (by relup.sh)

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> 842f2c3
- up to 2.1.1

* Wed Jun 08 2016 Elan Ruusamäe <glen@delfi.ee> adcae4e
- up to 1.4.1

* Thu Jun 02 2016 Elan Ruusamäe <glen@delfi.ee> 97b99f0
- rel 1, works with current chef on th

* Thu Jun 02 2016 Elan Ruusamäe <glen@delfi.ee> 76bb317
- add upstream link

* Thu Jun 02 2016 Elan Ruusamäe <glen@delfi.ee> dd67ca0
- not sure why rspec deps added as runtime deps

* Thu Jun 02 2016 Elan Ruusamäe <glen@delfi.ee> 2b4e06b
- up to 1.4.0; runtime deps autogenerated

* Mon Aug 31 2015 Elan Ruusamäe <glen@delfi.ee> 5a669f6
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Thu Aug 13 2015 Elan Ruusamäe <glen@delfi.ee> 2235fff
- release 4 (by relup.sh)

* Thu Aug 28 2014 Elan Ruusamäe <glen@delfi.ee> c217744
- build with gemspec

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 34f9dc2
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> a11b634
- new, version 1.3.0

